package mandelbrot;

import java.awt.Container;
import javax.swing.JFrame;
import javax.swing.JPanel;

public class Mandelbrot extends JFrame {

    public static final int MANDELBROT_WIDTH = 512;
    public static final int MANDELBROT_HEIGHT = 512;
    public static final String MANDELBROT_TITLE = "Mandelbrot Set";

    public Mandelbrot() {
        this.setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
        this.setSize(MANDELBROT_WIDTH, MANDELBROT_HEIGHT);
        this.setTitle(MANDELBROT_TITLE);
        
        Container pane = this.getContentPane();
        
        JPanel panel = new MandelbrotPanel();
        pane.add( panel );
        
        this.setVisible(true);
    } // Mandelbrot()

    public static void main(String[] args) {
        Mandelbrot mandelbrot = new Mandelbrot();
    } // main( String [] )

} // Mandelbrot
